#!/bin/bash

#replica
r=2

mf=`pwd`
ff=$mf/MASTERFILES

## compile c++
cd ${ff}
c++ Topo2_Random_Jump.c++  -o Topo2_Random_Jump -O3

cd ${mf}

mkdir REP${r}
cd REP${r}

cp ${ff}/run.lam .
cp ${ff}/Topo2_Random_Jump .
cp ${ff}/bash.RNG.sh .

# GENERATE RND Numbers using thermal noise (thanks Luca Tubiana!)
r1=$(od -An -N2 -i /dev/urandom)
r2=$(od -An -N2 -i /dev/urandom)
r3=$(od -An -N2 -i /dev/urandom)
r4=$(od -An -N2 -i /dev/urandom)
r5=$(od -An -N2 -i /dev/urandom)

# seeds for random numbers
echo "variable seed equal ${r1}" > parameters.dat
echo "variable seed00 equal ${r2}" >> parameters.dat
echo "variable seedin equal ${r3}" >> parameters.dat
echo "variable seedtopo equal ${r4}" >> parameters.dat
echo "variable seedthermo equal ${r5}" >> parameters.dat

# replica number
echo "variable rep equal 1" >> parameters.dat

# Nbeads
echo "variable N equal 200" >> parameters.dat

# Topo2 Jumping rate
echo "variable rate equal 0.01" >> parameters.dat

~/lmp_mpi -in run.lam

#nohup ~/lmp_mpi -in run.lam < /dev/null > /dev/null &
